From e233669316776592986ee1cc73aff9c78b5b8281 Mon Sep 17 00:00:00 2001
From: sajolida <sajolida@pimienta.org>
Date: Thu, 28 May 2015 18:30:13 +0000
Subject: [PATCH] Add bug about default behaviour of meta plugin for style
 sheets

---
 ...alternate_stylesheets_and_title_by_default.mdwn |   34 ++++++++++++++++++++
 1 file changed, 34 insertions(+)
 create mode 100644 doc/bugs/meta_plugin_should_not_add_alternate_stylesheets_and_title_by_default.mdwn

diff --git a/doc/bugs/meta_plugin_should_not_add_alternate_stylesheets_and_title_by_default.mdwn b/doc/bugs/meta_plugin_should_not_add_alternate_stylesheets_and_title_by_default.mdwn
new file mode 100644
index 0000000..67e2b8d
--- /dev/null
+++ b/doc/bugs/meta_plugin_should_not_add_alternate_stylesheets_and_title_by_default.mdwn
@@ -0,0 +1,34 @@
+The meta plugin, when used to add a stylesheet to a page, adds the
+following attributes by default:
+
+  - `rel="alternate stylesheet"`
+  - `title="mystylesheet"`
+
+The intent of this feature, according to the documentation is to "add a
+stylesheet to a page".
+
+  - By setting the `rel="alternate stylesheet"`, the additional
+    stylesheet is treated as an "alternate stylesheet" as described in
+<http://www.w3.org/Style/Examples/007/alternatives.en.html> and is not
+activated by default in the browser. The user is responsible for
+activating them somehow.
+  - The `title` attribute is used to *group* several alternate style
+    sheets into a single one. This attribute is otherwise "purely
+advisory" as defined in
+<http://www.w3.org/TR/html5/document-metadata.html#attr-link-title>.
+
+The current default behavior of the plugin implies having the additional
+stylesheet not activated (if you don't set `rel="stylesheet"`) or only
+one of them activated (if you add two stylesheets and not set the same
+title for both). This was hard to understand for two of us while working
+on <https://labs.riseup.net/code/issues/9314> and until we went and read
+those W3C documents.
+
+I think that to match better the description of that feature, and to be
+easier to comprehend in its default setting, the meta plugin should by
+default:
+
+  - Set `rel="alternate stylesheet"`.
+  - Not set any `title`.
+
+If we agree on this proposal, I'm willing to provide a patch.
-- 
1.7.10.4

